Bug 136682 - (IT_43092) [PATCH] kudzu fails to remove all conf files associated with a device when unconfiguring it
[PATCH] kudzu fails to remove all conf files associated with a device when un...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-10-21 13:07 EDT by David Lehman
Modified: 2014-03-16 22:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 13:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch so kudzu removes /etc/sysconfig/networking/devices/ifcfg-eth<n> when unconfiguring eth<n> (551 bytes, patch)
2004-10-21 13:13 EDT, David Lehman
no flags Details | Diff

  None (edit)
Description David Lehman 2004-10-21 13:07:35 EDT
Description of problem:
Kudzu does not remove /etc/sysconfig/networking/devices/ifcfg-eth<N>
files created by redhat-config-network when "unconfiguring" a device.

Version-Release number of selected component (if applicable):
kudzu-1.1.22.4-1

How reproducible:
Always

Steps to Reproduce:
1. Remove a NIC that was configured by redhat-config-network
2. Look in /etc/sysconfig/networking/devices
3. Observe the continued existence of obsolete config file
  
Actual results:
/etc/sysconfig/networking/devices/ifcfg-eth<N> still exists.

Expected results:
/etc/sysconfig/networking/devices/ifcfg-eth<N> is gone.

Additional info:
This apparently helps to confuse r-c-network on subsequent invocations
(see IT ref'd in alias)
Comment 1 David Lehman 2004-10-21 13:11:37 EDT
I realize this is not exactly kudzu's fault, but once a user runs
r-c-network once (even if they don't do anything with it) the file
exists. It seems reasonable to me for kudzu to nuke it as a courtesy.
Comment 2 David Lehman 2004-10-21 13:13:59 EDT
Created attachment 105598 [details]
Patch so kudzu removes /etc/sysconfig/networking/devices/ifcfg-eth<n> when unconfiguring eth<n>
Comment 3 Bill Nottingham 2004-10-21 14:22:16 EDT
Is this going to confuse s-c-n at all?
Comment 4 Harald Hoyer 2004-10-21 14:33:03 EDT
if you only delete in network-scripts and there are ifcfg-* in
networking, the devices are only marked inactive in the profile...
Comment 5 David Lehman 2004-10-21 15:27:56 EDT
So then the question is whether removed devices should be removed or
made inactive in s-c-n.
Comment 6 Bill Nottingham 2004-10-21 15:30:20 EDT
Removed, I'd presume. I'll put the patch in.
Comment 9 Tim Powers 2005-05-19 13:17:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-125.html

Note You need to log in before you can comment on or make changes to this bug.